package dk.itu.mario.level;

public class LevelComponent {
	public enum TYPE { FLAT, PIPES, MAZE};
	
	private TYPE type;
	private int start;
	private int end;
	
	public LevelComponent(TYPE type, int start, int end) {
		this.type = type;
		this.end = end;
		this.start = start;
	}
	
	public TYPE getType() {
		return type;
	}
	
	public int getStart() {
		return start;
	}
	
	public int getEnd() {
		return end;
	}
	
	@Override
	public String toString() {
		return type + "[" + start + ".." + end + "]";
	}
}
